#ifndef CLIB_RAINBOWSYSTEM_PROTOS_H
#define CLIN_RAINBOWSYSTEM_PROTOS_H

/*
**      $VER: rainbowsystem_protos.h (4.4.98)
**      Release 2.0
**
**      (C) Copyright 1997-1998 Andrea Latina
**          All Rights Reserved
*/

#ifndef RAINBOWSYSTEM_H
#include "libraries/rainbowsystem.h"
#endif /* RAINBOWSYSTEM_H */

/* --- Functions in v1.0 or higher --- */


extern APTR rs_ObtainScreen(STRPTR name, LONG *error_code );
extern void rs_ReleaseScreen(APTR obj );

extern void rs_AboutRainbow(APTR obj );

extern struct Screen   *rs_GetScreen(APTR obj);
extern struct RastPort *rs_GetRastPort(APTR obj);

extern BOOL rs_BeginDraw(APTR obj, struct RastPort *rp );
extern void rs_EndDraw(APTR obj );

extern LONG rs_WritePixel(APTR obj, LONG x, LONG y, UBYTE r, UBYTE g, UBYTE b );
extern LONG rs_WritePixelLine(APTR obj, ULONG xstart, ULONG ystart, ULONG width, UBYTE *array );
extern LONG rs_WritePixelArray(APTR obj, ULONG xstart, ULONG ystart, ULONG width, ULONG height, UBYTE *array );

extern void rs_DrawLine(APTR obj, ULONG x0, ULONG y0, ULONG x1, ULONG y1, UBYTE r, UBYTE g, UBYTE b );
extern void rs_DrawEllipse(APTR obj, WORD x, WORD y, WORD rx, WORD ry, UBYTE r, UBYTE g, UBYTE b );
extern void rs_DrawPolygon(APTR obj, UWORD count, WORD *array, UBYTE r, UBYTE g, UBYTE b );

extern void rs_FillRectangle(APTR obj, ULONG x, ULONG y, ULONG w, ULONG h, LONG rgb0, LONG rgb1);
extern void rs_FillEllipse(APTR obj, WORD x, WORD y, WORD rx, WORD ry, LONG rgb0, LONG rgb1);
extern void rs_FillPolygon(APTR obj, UWORD count, WORD *array, LONG rgb0, LONG rgb1);

extern void rs_FadeVertical(APTR obj, UWORD xstart, UWORD ystart, UWORD w, UWORD h, ULONG rgb0, ULONG rgb1 );
extern void rs_FadeHorizontal(APTR obj, UWORD xstart, UWORD ystart, UWORD w, UWORD h, ULONG rgb0, ULONG rgb1 );

extern void rs_Move(APTR obj, WORD x, WORD y );
extern void rs_Draw(APTR obj, WORD x, WORD y, UBYTE r, UBYTE g, UBYTE b );

extern void rs_AreaInit(APTR obj );
extern void rs_AreaMove(APTR obj, WORD x, WORD y );
extern void rs_AreaDraw(APTR obj, WORD x, WORD y );
extern void rs_AreaFill(APTR obj, LONG rgb0, LONG rgb1 );

/* --- Functions in v2.0 or higher --- */

extern BOOL rs_About(APTR obj, struct TagItem *tags );      // Don't touch!! :))

#endif  /* CLIB_RAINBOWSYSTEM_PROTOS_H */
